summaryrefslogtreecommitdiff
path: root/.github/workflows/fedora.sh
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-01-28 09:00:33 +0100
committermbkma <[email protected]>2026-04-05 10:13:35 +0200
commit4521e772e5cafd81104f75257896bdef28c5e32b (patch)
treef9f29497762f30fa3a414df91ec1e75538b3ae56 /.github/workflows/fedora.sh
parentb5bb59d19abf48583f04448c0dd5fee5befa3724 (diff)
downloadmate-panel-gh-actions.tar.bz2
mate-panel-gh-actions.tar.xz
ci: migrate to gh actionsgh-actions
Diffstat (limited to '.github/workflows/fedora.sh')
-rwxr-xr-x.github/workflows/fedora.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
new file mode 100755
index 00000000..a77455a5
--- /dev/null
+++ b/.github/workflows/fedora.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Fedora
+requires=(
+ ccache # Use ccache to speed up build
+)
+
+# https://src.fedoraproject.org/cgit/rpms/mate-panel.git
+requires+=(
+ autoconf-archive
+ desktop-file-utils
+ gcc
+ git
+ gobject-introspection-devel
+ gtk3-devel
+ gtk-layer-shell-devel
+ libSM-devel
+ libmateweather-devel
+ libwnck3-devel
+ make
+ mate-common
+ mate-menus-devel
+ redhat-rpm-config
+ yelp-tools
+)
+
+infobegin "Update system"
+dnf update -y
+infoend
+
+infobegin "Install dependency packages"
+dnf install -y ${requires[@]}
+infoend